<app-loading *ngIf="isLoading"></app-loading>
<nz-card>
  <div nz-row [nzGutter]='[30,30]'>
      <mb-button (click)="dowloadTemplate()" mbButtonType='BORDER' class='mb__button--w100 mb__button--no-margin' nz-col nzXs='4' nzLg='4'>
        <div class='mb__button--content--imp'>
          <div class='content__left'>
            <img src='/assets/icon/button/zip.png' alt=''>
            <span>Download file biểu mẫu</span>
          </div>
          <div class='content__right'><img src='/assets/icon/button/file.png' alt=''></div>
        </div>
      </mb-button>


    <div class="uploadFile">
      <nz-upload
      nzListType="text"
      [nzDisabled]="fileImport.length === 1"
      [(nzFileList)]="fileImport"
      [nzMultiple]="false"
      [nzBeforeUpload]="beforeUpload"
      [nzRemove]="doRemoveFile"
    >
      <mb-button mbButtonSize="LARGE" mbButtonAvailableStyle="PRIMARY">
        <span>
          <em nz-icon nzType="upload"></em>
        </span>
      </mb-button>
    </nz-upload>
    </div>
    </div>


</nz-card>
<div>
  <div class="set__screen">
    <div class="set__width">
      <!--Danh sách không lỗi-->
      <div class="padding padding__right">
        <nz-card>
          <div class="set__screen">
            <h3 class="set__width title_table">{{'development.interview-config.colTable.errorFreeList' | translate}}</h3>
            <div class="set__width padding_button">
              <mb-button  nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="saveTableSuccess()"
                         mbButtonText="{{ 'development.interview-config.buttonAction.saveData' | translate }}">
              </mb-button>
            </div>
          </div>
          <mb-table-wrap [mbTitle]="''" [extra]='false'>
            <mb-table
              (changePageNum)="searchSuccess($event)"
              [tableConfig]="tableConfig"
              [tableData]="dataTable"
              [heightTable]="heightTable"
            >
            </mb-table>
          </mb-table-wrap>
        </nz-card>
      </div>
    </div>
    <div class="set__width">
      <!--Danh sách có lỗi-->
      <div class="padding">
        <nz-card>
          <div class="set__screen">
            <h3 class="set__width title_table">{{'development.interview-config.colTable.errorList' | translate}}</h3>
            <div class="set__width padding_button">
              <mb-button
                mbButtonAvailableStyle='BORDER'
                mbButtonSize="LARGE"
                (click)="exportExcel()"
                [mbIsDisable]="isLoading"
              >
                <img src="assets/images/icon/excel.svg" alt=""/>
              </mb-button>
            </div>
          </div>
          <mb-table-wrap [mbTitle]="''" [extra]='false'>
            <mb-table
              (changePageNum)="searchError($event)"
              [tableConfig]="tableConfigError"
              [tableData]="dataTableError"
              [heightTable]="heightTable"
            >
            </mb-table>
          </mb-table-wrap>
        </nz-card>
      </div>
    </div>
  </div>
</div>
